function []=hidensity3(score,a,b,c,sparsity)
%show the highest density regions of a 2D scores plot
global nrows
figure
scatter3(score(1:sparsity:end,a),score(1:sparsity:end,b),score(1:sparsity:end,c),5,[0 0.2 1],'filled');
str = sprintf('Score %d',a);
xlabel(str)
str = sprintf('Score %d',b);
ylabel(str)
str = sprintf('Score %d',c);
zlabel(str)
str = sprintf('Cluster Plot, Scores (%d,%d,%d)',a,b,c);
title(str)
hold off

fused=imfuse(reshape(score(:,a),nrows,[]),reshape(score(:,b),nrows,[]));
figure
imshow(fused)
str = sprintf('Scores Contrast Image, Scores (%d,%d,%d)',a,b,c);
title(str);
end